# Contains TheGame::Helpers::StringHelpers and TheGame::Helpers::ObjectHelpers. Using
#    require 'the_game/helpers/import'
# will bring include these helpers within their respective classes.

module TheGame::Helpers
  def pretty_rescue(default_value = false, &b)
    return_value = default_value
    begin
      return_value = yield if block_given?
    rescue => error
      return_value = error.pp
    end
    if default_value
      return_value || default_value
    else
      return_value
    end
  end
end
