module TheGame::Helpers::StringHelpers
  TRUE_WORDS = %w{t true yes y}
  FALSE_WORDS = %w{f false no n}

  def numeric?
    !!Float(self) rescue false
  end

  def command_sanitize
    sub(/^_+/, '')
  end

  def to_bool
    TRUE_WORDS.include?(downcase) ? true : FALSE_WORDS.include?(downcase) ? false : nil
  end

  def bool?
    !to_bool.nil?
  end

  def args
    strip!

    words.map do |arg|
      arg = arg.to_s
      next if arg.empty?
      arg.bool? ? arg.to_bool : arg.numeric? ? Float(arg) : arg
    end
  end

  def args?
    !args.empty?
  end

  def words
    scan(/\S+/)
  end
  
  def remove_first_word
    gsub(/^\S+\s*/,'')
  end
end